Bug 104278 - UI: The text in the Type frame in the DocInformation tab in the Fields dialog isn't aligned to the left
Summary: UI: The text in the Type frame in the DocInformation tab in the Fields dialog...
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 117327 (view as bug list)
Depends on:
Blocks: Dialog Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2016-11-30 12:50 UTC by Telesto
Modified: 2021-01-03 11:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (11.50 KB, image/png)
2016-11-30 12:50 UTC, Telesto
Details
screenshot with patch applied (38.96 KB, image/png)
2020-12-24 11:04 UTC, Kevin Suo
Details
screenshot with patch applied (42.86 KB, image/png)
2020-12-24 11:06 UTC, Kevin Suo
Details
an example document with custom properties (7.89 KB, application/vnd.oasis.opendocument.text)
2020-12-28 21:08 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-11-30 12:50:15 UTC
Description:
The textlisting in the DocInformation Tab isn't aligned to the right. 

Steps to Reproduce:
1.Open Writer
2.Insert --> Cross-reference
3.DocInformation Tab 

Actual Results:  
The text isn't aligned to the right


Expected Results:
The text should be aligned tot the right


Reproducible: Always

User Profile Reset: YES

Additional Info:
Found in:
Version: 5.4.0.0.alpha0+
Build ID: 4130c8def811d1dcc87eacaa8ae48ba02738a790
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-11-29_01:03:18
Locale: nl-NL (nl_NL); Calc: CL

and in
Versie: 4.4.6.3 
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: nl_NL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2016-11-30 12:50:55 UTC
Created attachment 129151 [details]
Screenshot
Comment 2 Buovjaga 2016-12-02 08:42:56 UTC
Confirmed, but it should be to the left like the rest I guess :)

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: 142618ecae472e535c582c0fb357d2a9a76655f1
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-11-28_00:46:57
Locale: fi-FI (fi_FI); Calc: group

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 3 QA Administrators 2017-12-03 18:57:36 UTC Comment hidden (obsolete)
Comment 4 Telesto 2017-12-03 21:11:47 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 QA Administrators 2018-12-04 03:47:32 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo QA 2020-08-04 21:23:02 UTC
Repro with
Version: 7.1.0.0.alpha0+
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-07-30_20:15:28
Calc: threaded
Comment 7 sdc.blanco 2020-10-03 19:31:37 UTC
*** Bug 117327 has been marked as a duplicate of this bug. ***
Comment 8 Kevin Suo 2020-12-24 10:38:30 UTC
As we can see from sw/uiconfig/swriter/ui/flddocinfopage.ui, we have a GtkTreeView in GtkFrame "typeframe", without the following property:
<property name="show_expanders">False</property>

A GtkTreeView seems have a default indentation if show_expanders is True (which is the default), see:
https://developer.gnome.org/gtk3/stable/GtkTreeView.html#gtk-tree-view-set-show-expanders

A "expander" would look like this: https://python-gtk-3-tutorial.readthedocs.io/en/latest/expander.html

I do not see a reason why we should use an expander here in this dialog. As a result, setting show_expanders to False will solve the problem.
Comment 9 Kevin Suo 2020-12-24 11:01:44 UTC
A patch is submitted to gerrit for review:

master: https://gerrit.libreoffice.org/c/core/+/108261
7.1: https://gerrit.libreoffice.org/c/core/+/108184
Comment 10 Kevin Suo 2020-12-24 11:04:07 UTC
Created attachment 168464 [details]
screenshot with patch applied
Comment 11 Kevin Suo 2020-12-24 11:06:31 UTC
Created attachment 168465 [details]
screenshot with patch applied
Comment 12 Commit Notification 2020-12-28 08:34:49 UTC
Kevin Suo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4987c82449183d47464c94d4ed0aa0bbf2abf3aa

tdf#104278: text in Type frame in DocInformation is not aligned left

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Caolán McNamara 2020-12-28 21:08:35 UTC
Created attachment 168540 [details]
an example document with custom properties

We used that expander in this TreeView for custom properties as available in this example document. Without the recent patch there is a "Custom" entry which can be expanded to show the custom properties (which can be added to the document with File, Properties, Custom Properties) and insert them into the document. With the new change that's unfortunately no longer possible.

Maybe a further change to list the custom properties in the "Select" TreeView when "Custom" is selected in the "Type" TreeView is plausible as an alternative solution to restoring the expander
Comment 14 Kevin Suo 2020-12-29 06:51:38 UTC
(In reply to Caolán McNamara from comment #13)

> Maybe a further change to list the custom properties in the "Select" TreeView when "Custom" is selected in the "Type" TreeView is plausible as an alternative solution to restoring the expander

Caolan: Can you do that, or should I revert this commit? I do not think I have the knowledge to do what you have mentioned.
Comment 15 Commit Notification 2021-01-03 11:18:26 UTC
Kevin Suo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2eb811c5d743908eda0cda4945a0009ea52eb22d

Revert tdf#104278: text in Type frame in DocInformation...

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Telesto 2021-01-03 11:45:24 UTC
@Kevin Suo 
Thanks for giving it a try to solve this one!